import urllib

from django.core.urlresolvers import reverse

from . import app_settings


def build_logout_url(request, next=None):
    """
    For now fc-id_token in request.session is used as the flag of an
    active session on the OP. It is set in the login view and deleted in the
    logout return view.
    """
    if 'fc-id_token' in request.session:
        callback = request.build_absolute_uri(reverse('fc-logout'))
        if next:
            callback += '?' + urllib.urlencode({app_settings.next_field_name: next})
        qs = {'id_token_hint' : request.session.get('fc-id_token_raw'),
            'post_logout_redirect_uri': callback}
        return app_settings.logout_url + '?' + urllib.urlencode(qs)
    return None


def get_mapped_attributes(request):
    values = {}
    if 'fc-user_info' in request.session:
        for fc_name, local_name in app_settings.attributes_mapping.items():
            if fc_name in request.session['fc-user_info']:
                values[local_name] = [request.session['fc-user_info'][fc_name]]
    return values
